// This file is a bit misnamed, as it has options for giveAwrl, too.
export const flags = [
    'vrmlview', 'joyce',
    // debugging
    'color', 'commands', 'showall', 'showaux', 'algebra', 'vrml97'
];
export function params(kids) {
    const ret = {};
    for (let i = 0, len = kids.length; i < len; i++) {
        const kid = kids[i];
        if (!(kid.tagName === 'PARAM'))
            continue;
        const name = kid.getAttribute('name');
        const value = kid.getAttribute('value');
        if (!(name && value))
            continue;
        ret[name] = value;
    }
    return ret;
}
const prim3d = /polyhedron|sphere|plane|face/;
export function contains3d(params) {
    for (const value of Object.values(params)) {
        if (prim3d.test(value))
            return true;
    }
    return false;
}
