import { flags } from "./adapptypes.js";
const cache = await browser.storage.local.get(flags);
for (let i = 0, len = flags.length; i < len; i++) {
    const box = flags[i];
    const checkbox = document.getElementById(box);
    if (!checkbox)
        continue;
    if (box in cache) {
        checkbox.checked = cache[box];
    }
    else {
        checkbox.checked = box === 'vrmlview' || box === 'joyce';
        browser.storage.local.set({ [box]: checkbox.checked });
    }
}
document.body.addEventListener('click', function (event) {
    const elt = event.target;
    if (!(elt.tagName === 'INPUT' && elt.type === 'checkbox'))
        return;
    return browser.storage.local.set({ [elt.id]: elt.checked });
});
